godo.AgentPlatform.DeleteModelEvaluationRun()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.AgentPlatform.DeleteModelEvaluationRun(ctx context.Context, evalRunUUID string) (*godo.ModelEvaluationRunDeleteResponse, *godo.Response, error)

Description

DeleteModelEvaluationRun deletes the model evaluation run with the given UUID. The run must be in a terminal status (successful, partially_successful, failed, or cancelled). For runs still in progress, either wait for the run to finish or cancel it, then retry the delete.

This method sends a DELETE request to /v2/gen-ai/model_evaluation_runs/{}.

Parameters

evalRunUUID string required

Returns

*godo.ModelEvaluationRunDeleteResponse
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.ModelEvaluationRunDeleteResponse

ModelEvaluationRunDeleteResponse is the response returned by DeleteModelEvaluationRun.

Status godo.DeleteModelEvaluationRunStatus

Omitted from JSON when empty. JSON key: status

Error string

Omitted from JSON when empty. JSON key: error

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.AgentPlatform.DeleteModelEvaluationRun(ctx, "<your-eval-run-uuid>")
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

More Information

See DELETE /v2/gen-ai/model_evaluation_runs/{} in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.